<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Controller
 *
 * @author atrix
 */
class Controller {
    
    public static function getStatus($addr, $id = null, $start = false) {
        if ($start) {
            $status = file_get_contents('http://'.$addr.'/start');
            return self::parseStatus($status);
        } elseif (!is_null($id)) {
            $status = file_get_contents('http://'.$addr.'/stav?id='.$id);
            return self::parseStatus($status);
        }
    }
    
    public static function parseStatus($input) {
        $inputArr = preg_split("/\\r\\n|\\r|\\n/", $input);
        if ($inputArr[0] === 'Krach!') {
            return array('finish' => false, 'continue' => false);
        } elseif ($inputArr[0] === 'Zdar!') {
            return array('finish' => true, 'continue' => false);
        }

        $id = intval($inputArr[0]);
        $xy = explode(' ', $inputArr[1]);
        $x = floatval($xy[0]);
        $y = floatval($xy[1]);

        $vxy = explode(' ', $inputArr[2]);
        $vx = floatval($vxy[0]);
        $vy = floatval($vxy[1]);

        $p = intval($inputArr[3]);

        $lr = explode(' ', $inputArr[4]);
        $l = floatval($lr[0]);
        $r = floatval($lr[1]);

        return array(
            'id' => $id,
            'x' => $x,
            'y' => $y,
            'vx' => $vx,
            'vy' => $vy,
            'p' => $p,
            'l' => $l,
            'r' => $r,
            'continue' => true
        );
    }
    
    public function engines($addr, $id, $nah, $dol, $dop) {
        /*$curl = curl_init();
        curl_setopt($curl,CURLOPT_URL,"http://{$addr}stav?id={$id}&nahoru={$nah}&doleva={$dol}&doprava={$dop}");
        curl_setopt($curl,CURLOPT_RETURNTRANSFER,false);

        curl_exec($curl);
        curl_close($curl);
        */
        $status = file_get_contents("http://{$addr}/stav?id={$id}&nahoru={$nah}&doleva={$dol}&doprava={$dop}");
    }
}
